<div id="top"></div>


[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![GNU GENERAL PUBLIC LICENSE][license-shield]][license-url]



<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/weareteamx/xbomber-web-community-edition">
    <img src="https://i.ibb.co/Kxfn3pJ/XBOMBER-Round.png" alt="Logo" width="100" height="100">
  </a>

<h3 align="center">XBOMBER</h3>

  <p align="center">
    Open source community edition
    <br />
    <a href="https://github.com/WeAreTeamX/xbomber-web-community-edition/blob/main/README.md"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://weareteamx.github.io/xbomber-web-community-edition/">View Demo</a>
    ·
    <a href="https://weareteamx.github.io/xbomber-web-community-edition/issues">Report Bug</a>
    ·
    <a href="https://weareteamx.github.io/xbomber-web-community-edition/issues">Request Feature</a>
  </p>
</div>



<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#using-github-pages">Using Github Pages</a></li>
        <li><a href="#local-development">Local development</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## About The Project

Xbomber is the pioneer of sms and call bombers in Bangladesh. For a long time, this was a closed source project. But we ***Team X 1337*** have decided to make it open source so that everyone can gain knowledge from this project and create their own project from this github template. You can contribute by providing this project working APIs and removing the dead APIs. For more about contributing, follow the <a href="#contributing">Contributing</a> section.

<p align="right">(<a href="#top">back to top</a>)</p>



### Built With

* [Bootstrap](https://getbootstrap.com)
* [Bootstrap Icons](https://icons.getbootstrap.com)
* [JQuery](https://jquery.com)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- GETTING STARTED -->
## Getting Started

The community edition of Xbomber is not a dynamic website. It means, you can use this website files directly in any of the ***static website*** hosting services (Ex. Github Pages).

## Major Update 
- Numbers are now automatically trimmed to 10 digit in the `script.js` file. Upon submission, the 0 in the beginning is removed. So while setting up the APIs, please add 0 manually to make it workable.
### Using Github Pages

To host your bomber directly into Github Pages 
- Click on `Use this template` on the top corner of this repository.
- Select your desired repository name.
- Go to the `Pages` section of your repository from settings.
- Select branch `main` and choose a theme to publish your website.

### Local development

1. Clone the repository
   ```sh
   git clone https://github.com/WeAreTeamX/xbomber-web-community-edition.git
   ```

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- USAGE EXAMPLES -->
## Usage
### Method 1 [Using APIS array variable]
1. Edit APIs in the `script.js` to make the bomber work.
   ```js
   const APIS = [
        {
            method: "POST",
            url: `https://your-api-endpoint/?phone=+88${mobile}`,
            body: `type=register&phone=${mobile}`
        }
   ]
   ```
### Method 2 [Using APIS json files from any URL]
Follow the example APIS.json file in the assets directory and keep the same format in your custom api.json file to work. 

_For more examples, please refer to the [Script.js Example](https://github.com/WeAreTeamX/xbomber-web-community-edition/blob/main/assets/script.js)_

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- LICENSE -->
## License

Distributed under the GNU GENERAL PUBLIC LICENSE License. See `LICENSE` for more information.

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- CONTACT -->
## Contact

**SowmikSudo** ***(Maintainer)***
- [![Telegram](https://img.shields.io/badge/Telegram-ID-2CA5E0?style=for-the-badge&logo=telegram&logoColor=white)](https://t.me/ign0r3dh4x0r)&nbsp;
- [![Github](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/SowmikSudo)&nbsp;

**Team X 1337**
- [![Facebook Group](https://img.shields.io/badge/Facebook-Group-1877F2?style=for-the-badge&logo=facebook&logoColor=white)](https://web.facebook.com/groups/team.x.official.community)&nbsp;
- [![Facebook Page](https://img.shields.io/badge/Facebook-Page-1877F2?style=for-the-badge&logo=facebook&logoColor=white)](https://facebook.com/ign0r3dh4x0r)&nbsp;
- [![Telegram](https://img.shields.io/badge/Telegram-Channel-2CA5E0?style=for-the-badge&logo=telegram&logoColor=white)](https://t.me/Teamx1337official)&nbsp;




<p align="right">(<a href="#top">back to top</a>)</p>



<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/WeAreTeamX/xbomber-web-community-edition.svg?style=for-the-badge
[contributors-url]: https://github.com/WeAreTeamX/xbomber-web-community-edition/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/WeAreTeamX/xbomber-web-community-edition.svg?style=for-the-badge
[forks-url]: https://github.com/WeAreTeamX/xbomber-web-community-edition/network/members
[stars-shield]: https://img.shields.io/github/stars/WeAreTeamX/xbomber-web-community-edition.svg?style=for-the-badge
[stars-url]: https://github.com/WeAreTeamX/xbomber-web-community-edition/stargazers
[issues-shield]: https://img.shields.io/github/issues/WeAreTeamX/xbomber-web-community-edition.svg?style=for-the-badge
[issues-url]: https://github.com/WeAreTeamX/xbomber-web-community-edition/issues
[license-shield]: https://img.shields.io/github/license/WeAreTeamX/xbomber-web-community-edition.svg?style=for-the-badge
[license-url]: https://github.com/WeAreTeamX/xbomber-web-community-edition/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
